#!/usr/bin/perl
$conf = '';
$conf .= 'LoadPlugin df' . "\n";
$conf .= '<Plugin df>' . "\n";

foreach(`mount`)
{
    if ( /^\/dev\/sd.+\s+on\s+(.+)\s+type\s+.+\s+\(.+\)\s*$/ or /^\/dev\/mapper.+\s+on\s+(.+)\s+type\s+.+\s+\(.+\)\s*$/  
or /^\/dev\/hd.+\s+on\s+(.+)\s+type\s+.+\s+\(.+\)\s*$/ )
    {
       $conf .= "\t"  . "MountPoint " . "\"$1\"" . "\n";
    }
}

#   Device "/dev/sda1"
#   #   Device "192.168.0.2:/mnt/nfs"
#   #   MountPoint "/home"
#   #   FSType "ext4"
#
#   # ignore rootfs; else, the root file-system would appear twice, causing
#   # one of the updates to fail and spam the log
#   FSType rootfs
#   # ignore the usual virtual / temporary file-systems
#$conf .= 'FSType "ext4"'                . "\n";
#$conf .= 'FSType "rootfs"'                . "\n";
#$conf .= 'FSType "sysfs"'                . "\n";
#$conf .= 'FSType "proc"'                . "\n";
#$conf .= 'FSType "devtmpfs"'                . "\n";
#$conf .= 'FSType "devpts"'                . "\n";
#$conf .= 'FSType "tmpfs"'                . "\n";
#$conf .= 'FSType "fusectl"'                . "\n";
#$conf .= 'FSType "cgroup"'                . "\n";
$conf .= 'IgnoreSelected false'        . "\n";
#$conf .= '#ReportByDevice false'        . "\n";
#$conf .= '#ReportReserved false'        . "\n";
$conf .= 'ReportInodes true'          . "\n";
#$conf .= '#ValuesAbsolute true'         . "\n";
$conf .= 'ValuesPercentage true'	. "\n";
$conf .= '</Plugin>'                    . "\n";

print "$conf";

